package com.ruoyi.bst.withdraw.constants;

public class WithdrawDailyKeys {
    // 创建日期
    public static final String CREATE_DATE = "date(bw.create_time) as `date`";

    // 提现总数量
    public static final String WITHDRAW_COUNT = "count(bw.id) as `count`";

    // 提现总金额
    public static final String WITHDRAW_AMOUNT = "sum(bw.amount) as `amount`";

    // 提现成功金额
    public static final String WITHDRAW_SUCCESS_AMOUNT = "sum(if (bw.status = 'SUCCESS', bw.arrival_amount, 0)) as `success_amount`";

    // 提现手续费
    public static final String WITHDRAW_SERVICE_CHARGE = "sum(if (bw.status = 'SUCCESS', bw.service_charge, 0)) as `service_charge`";
    
}
